package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAdvApplnForm extends HrmBaseForm {
  String employeeNumber;
  
  String designation;
  
  String employeeName;
  
  String firstName;
  
  String middleName;
  
  String lastName;
  
  String fromDate;
  
  String toDate;
  
  String advanceCode;
  
  String dateApplied;
  
  String amountApplied;
  
  String reason;
  
  String selectAll;
  
  String disabadvanceCode;
  
  String disabdateApplied;
  
  String disabamountApplied;
  
  String disabreason;
  
  String disabbutFromDate;
  
  String disabbutToDate;
  
  String disabbutAdvanceCode;
  
  String disabbutDateApplied;
  
  String employeeId;
  
  String advanceCodeId;
  
  String advanceName;
  
  private String grade;
  
  private String location;
  
  private String butEmployeeNo;
  
  private String disabbutEmployeeNo;
  
  private String remarks;
  
  private String disabremarks;
  
  private String approverName;
  
  private String sanctionDate;
  
  private String butSanctionDate;
  
  private String disabbutSanctionDate;
  
  private String sanctionedAmount;
  
  private String disabsanctionedAmount;
  
  private String eligibleAmount;
  
  private String butDateApplied;
  
  private String butAdvanceCode;
  
  private String butApproverNo;
  
  private String disabbutApproverNo;
  
  private String butFromDate;
  
  private String butToDate;
  
  private String approverNoId;
  
  private String payrollMonth;
  
  private String noOfInst;
  
  private String disabpayrollMonth;
  
  private String monthlyInstallment;
  
  private String paidInstallments;
  
  private String settledAmount;
  
  private String balance;
  
  private String butBulkSettlement;
  
  private String disabbutBulkSettlement;
  
  private String bulkSettleAmount;
  
  private String mode;
  
  private String disabbulkSettleAmount;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNumber() {
    return this.employeeNumber;
  }
  
  public void setEmployeeNumber(String newEmployeeNumber) {
    this.employeeNumber = newEmployeeNumber;
  }
  
  public String getDesignation() {
    return this.designation;
  }
  
  public void setDesignation(String newDesignation) {
    this.designation = newDesignation;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getFirstName() {
    return this.firstName;
  }
  
  public void setFirstName(String newFirstName) {
    this.firstName = newFirstName;
  }
  
  public String getMiddleName() {
    return this.middleName;
  }
  
  public void setMiddleName(String newMiddleName) {
    this.middleName = newMiddleName;
  }
  
  public String getLastName() {
    return this.lastName;
  }
  
  public void setLastName(String newLastName) {
    this.lastName = newLastName;
  }
  
  public String getFromDate() {
    return this.fromDate;
  }
  
  public void setFromDate(String newFromDate) {
    this.fromDate = newFromDate;
  }
  
  public String getToDate() {
    return this.toDate;
  }
  
  public void setToDate(String newToDate) {
    this.toDate = newToDate;
  }
  
  public String getAdvanceCode() {
    return this.advanceCode;
  }
  
  public void setAdvanceCode(String newAdvanceCode) {
    this.advanceCode = newAdvanceCode;
  }
  
  public String getDateApplied() {
    return this.dateApplied;
  }
  
  public void setDateApplied(String newDateApplied) {
    this.dateApplied = newDateApplied;
  }
  
  public String getAmountApplied() {
    return this.amountApplied;
  }
  
  public void setAmountApplied(String newAmountApplied) {
    this.amountApplied = newAmountApplied;
  }
  
  public String getReason() {
    return this.reason;
  }
  
  public void setReason(String newReason) {
    this.reason = newReason;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getDisabadvanceCode() {
    return this.disabadvanceCode;
  }
  
  public void setDisabadvanceCode(String newDisabadvanceCode) {
    this.disabadvanceCode = newDisabadvanceCode;
  }
  
  public String getDisabdateApplied() {
    return this.disabdateApplied;
  }
  
  public void setDisabdateApplied(String newDisabdateApplied) {
    this.disabdateApplied = newDisabdateApplied;
  }
  
  public String getDisabamountApplied() {
    return this.disabamountApplied;
  }
  
  public void setDisabamountApplied(String newDisabamountApplied) {
    this.disabamountApplied = newDisabamountApplied;
  }
  
  public String getDisabreason() {
    return this.disabreason;
  }
  
  public void setDisabreason(String newDisabreason) {
    this.disabreason = newDisabreason;
  }
  
  public String getDisabbutFromDate() {
    return this.disabbutFromDate;
  }
  
  public void setDisabbutFromDate(String newDisabbutFromDate) {
    this.disabbutFromDate = newDisabbutFromDate;
  }
  
  public String getDisabbutToDate() {
    return this.disabbutToDate;
  }
  
  public void setDisabbutToDate(String newDisabbutToDate) {
    this.disabbutToDate = newDisabbutToDate;
  }
  
  public String getDisabbutAdvanceCode() {
    return this.disabbutAdvanceCode;
  }
  
  public void setDisabbutAdvanceCode(String newDisabbutAdvanceCode) {
    this.disabbutAdvanceCode = newDisabbutAdvanceCode;
  }
  
  public String getDisabbutDateApplied() {
    return this.disabbutDateApplied;
  }
  
  public void setDisabbutDateApplied(String newDisabbutDateApplied) {
    this.disabbutDateApplied = newDisabbutDateApplied;
  }
  
  public String getEmployeeId() {
    return this.employeeId;
  }
  
  public void setEmployeeId(String newEmployeeId) {
    this.employeeId = newEmployeeId;
  }
  
  public String getAdvanceCodeId() {
    return this.advanceCodeId;
  }
  
  public void setAdvanceCodeId(String newAdvanceCodeId) {
    this.advanceCodeId = newAdvanceCodeId;
  }
  
  public String getAdvanceName() {
    return this.advanceName;
  }
  
  public void setAdvanceName(String newAdvanceName) {
    this.advanceName = newAdvanceName;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getLocation() {
    return this.location;
  }
  
  public void setLocation(String newLocation) {
    this.location = newLocation;
  }
  
  public String getButEmployeeNo() {
    return this.butEmployeeNo;
  }
  
  public void setButEmployeeNo(String newButEmployeeNo) {
    this.butEmployeeNo = newButEmployeeNo;
  }
  
  public String getDisabbutEmployeeNo() {
    return this.disabbutEmployeeNo;
  }
  
  public void setDisabbutEmployeeNo(String newDisabbutEmployeeNo) {
    this.disabbutEmployeeNo = newDisabbutEmployeeNo;
  }
  
  public String getRemarks() {
    return this.remarks;
  }
  
  public void setRemarks(String newRemarks) {
    this.remarks = newRemarks;
  }
  
  public String getDisabremarks() {
    return this.disabremarks;
  }
  
  public void setDisabremarks(String newDisabremarks) {
    this.disabremarks = newDisabremarks;
  }
  
  public String getApproverName() {
    return this.approverName;
  }
  
  public void setApproverName(String newApproverName) {
    this.approverName = newApproverName;
  }
  
  public String getSanctionDate() {
    return this.sanctionDate;
  }
  
  public void setSanctionDate(String newSanctionDate) {
    this.sanctionDate = newSanctionDate;
  }
  
  public String getButSanctionDate() {
    return this.butSanctionDate;
  }
  
  public void setButSanctionDate(String newButSanctionDate) {
    this.butSanctionDate = newButSanctionDate;
  }
  
  public String getDisabbutSanctionDate() {
    return this.disabbutSanctionDate;
  }
  
  public void setDisabbutSanctionDate(String newDisabbutSanctionDate) {
    this.disabbutSanctionDate = newDisabbutSanctionDate;
  }
  
  public String getSanctionedAmount() {
    return this.sanctionedAmount;
  }
  
  public void setSanctionedAmount(String newSanctionedAmount) {
    this.sanctionedAmount = newSanctionedAmount;
  }
  
  public String getDisabsanctionedAmount() {
    return this.disabsanctionedAmount;
  }
  
  public void setDisabsanctionedAmount(String newDisabsanctionedAmount) {
    this.disabsanctionedAmount = newDisabsanctionedAmount;
  }
  
  public String getEligibleAmount() {
    return this.eligibleAmount;
  }
  
  public void setEligibleAmount(String newEligibleAmount) {
    this.eligibleAmount = newEligibleAmount;
  }
  
  public String getButDateApplied() {
    return this.butDateApplied;
  }
  
  public void setButDateApplied(String newButDateApplied) {
    this.butDateApplied = newButDateApplied;
  }
  
  public String getButAdvanceCode() {
    return this.butAdvanceCode;
  }
  
  public void setButAdvanceCode(String newButAdvanceCode) {
    this.butAdvanceCode = newButAdvanceCode;
  }
  
  public String getButApproverNo() {
    return this.butApproverNo;
  }
  
  public void setButApproverNo(String newButApproverNo) {
    this.butApproverNo = newButApproverNo;
  }
  
  public String getDisabbutApproverNo() {
    return this.disabbutApproverNo;
  }
  
  public void setDisabbutApproverNo(String newDisabbutApproverNo) {
    this.disabbutApproverNo = newDisabbutApproverNo;
  }
  
  public String getButFromDate() {
    return this.butFromDate;
  }
  
  public void setButFromDate(String newButFromDate) {
    this.butFromDate = newButFromDate;
  }
  
  public String getButToDate() {
    return this.butToDate;
  }
  
  public void setButToDate(String newButToDate) {
    this.butToDate = newButToDate;
  }
  
  public String getApproverNoId() {
    return this.approverNoId;
  }
  
  public void setApproverNoId(String newApproverNoId) {
    this.approverNoId = newApproverNoId;
  }
  
  public String getPayrollMonth() {
    return this.payrollMonth;
  }
  
  public void setPayrollMonth(String newPayrollMonth) {
    this.payrollMonth = newPayrollMonth;
  }
  
  public String getNoOfInst() {
    return this.noOfInst;
  }
  
  public void setNoOfInst(String newNoOfInst) {
    this.noOfInst = newNoOfInst;
  }
  
  public String getDisabpayrollMonth() {
    return this.disabpayrollMonth;
  }
  
  public void setDisabpayrollMonth(String newDisabpayrollMonth) {
    this.disabpayrollMonth = newDisabpayrollMonth;
  }
  
  public String getMonthlyInstallment() {
    return this.monthlyInstallment;
  }
  
  public void setMonthlyInstallment(String newMonthlyInstallment) {
    this.monthlyInstallment = newMonthlyInstallment;
  }
  
  public String getPaidInstallments() {
    return this.paidInstallments;
  }
  
  public void setPaidInstallments(String newPaidInstallments) {
    this.paidInstallments = newPaidInstallments;
  }
  
  public String getSettledAmount() {
    return this.settledAmount;
  }
  
  public void setSettledAmount(String newSettledAmount) {
    this.settledAmount = newSettledAmount;
  }
  
  public String getBalance() {
    return this.balance;
  }
  
  public void setBalance(String newBalance) {
    this.balance = newBalance;
  }
  
  public String getButBulkSettlement() {
    return this.butBulkSettlement;
  }
  
  public void setButBulkSettlement(String newButBulkSettlement) {
    this.butBulkSettlement = newButBulkSettlement;
  }
  
  public String getDisabbutBulkSettlement() {
    return this.disabbutBulkSettlement;
  }
  
  public void setDisabbutBulkSettlement(String newDisabbutBulkSettlement) {
    this.disabbutBulkSettlement = newDisabbutBulkSettlement;
  }
  
  public String getBulkSettleAmount() {
    return this.bulkSettleAmount;
  }
  
  public void setBulkSettleAmount(String newBulkSettleAmount) {
    this.bulkSettleAmount = newBulkSettleAmount;
  }
  
  public String getMode() {
    return this.mode;
  }
  
  public void setMode(String newMode) {
    this.mode = newMode;
  }
  
  public String getDisabbulkSettleAmount() {
    return this.disabbulkSettleAmount;
  }
  
  public void setDisabbulkSettleAmount(String newDisabbulkSettleAmount) {
    this.disabbulkSettleAmount = newDisabbulkSettleAmount;
  }
}
